@import url('https://fonts.cdnfonts.com/css/quentin'); 

.quentin {
    font-family: "Quentin", sans-serif;
}    

.montserrat {
    font-family: "Montserrat", sans-serif;
    font-optical-sizing: auto;
    font-weight: 20;
    font-style: normal;
  }

.karla {
    font-family: "Karla", sans-serif;
    font-optical-sizing: auto;
    font-weight: 20;
    font-style: normal;
}

* {
    padding: 0;
    margin: 0;
    text-decoration: none;
    list-style: none;
    box-sizing: border-box;
}

body {
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    font-family: "Montserrat", sans-serif;
    background-color: #e3dfde;
    display: flex;
    flex-direction: column;
}

nav {
    background-color: #fefefe;
    box-shadow: 2px 2px 2px rgba(0,0,0,0.2);
}

nav ul {
    width: 100%;
    list-style: none;
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

nav li {
    height: 50px;
}

nav a {
    height: 100%;
    color: #5f5050;
    font-size: 17px;
    padding: 0px 30px;
    text-decoration: none;
    border-radius: 3px;
    text-transform: capitalize;
    display: flex;
    align-items: center;
}

nav a:hover {
    background-color: #d7a298;
    transition: .5s;
}

nav li:first-child {
    margin-right: auto;
}

.sidebar {
    position: fixed;
    top: 0;
    right: 0;
    height: 100vh;
    width: 250px;
    z-index: 999;
    background-color: #f2f0f05c;
    backdrop-filter:blur(10px);
    box-shadow: -10px 0 10px rgba(49, 43, 43, 0.701);
    display: none;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
}

.sidebar li {
    width: 100%;
}

.sidebar a {
    width: 100%;
}

.menu-button {
    display: none;
}

/*Main Section*/

main {
    background-size: cover;
    position: relative;
    background-repeat: no-repeat;
    background-position: center;
    font-family: "Montserrat", sans-serif;
    background-color: #dedad8;
    display: flex;
    flex-direction: column;
}

/*Category Section*/

.category-section {
    background-color: #e1ddddba;
    text-align: center;
    text-wrap: normal;
    padding-top: 1%;
    padding-bottom: 5%;
}

.category-section h3 {
    font-size: 1.8em;
    line-height: 30px;
    color: #5f5050;
    font-family: "Quentin", sans-serif;
    font-weight: 400;
    text-transform: capitalize;
    text-align: center;
    margin-top: 3%;
    margin-left: 2%;
    padding-top: 5px;
    padding-bottom: 10px;
}

.category-section p {
    font-size: 1em;
    line-height: 35px;
    color: #5f5050;
    font-family: "Montserrat", sans-serif;
    margin-left: 2%;
    margin-right: 2%;
    text-align: center;
}

.button-wrapper {
    display: block;
    text-align: center;
}

.button-letscreate-button {
    color: #5f5050;
    border: none;
    border-radius: 3em;
    box-shadow: 2px 2px 2px rgba(0,0,0,0.2);
    display: inline-block;
    font-size: 1em;
    padding: 1em 2em;
    width: auto;
    margin-top: 2%;
}

.button-letscreate-button {
    background-color: #e3dfde;
    color: #5f5050 !important;
}
  
.button-letscreate-button:hover {
    background-color: #d7a298;
}

.second-category-section {
    background-image: url(images/sections.jpg);
    background-size: cover;
    position: relative;
    background-color: #e1ddddba;
    background-repeat: no-repeat;
    text-align: left;
    padding-top: 5%;
    padding-bottom: 5%;
    box-shadow: 2px 2px 2px rgba(0,0,0,0.2);
}

.second-category-section h2 {
    font-size: 1.4em;
    line-height: 30px;
    color: #5f5050;
    font-family: "Montserrat", sans-serif;
    font-weight: 400;
    text-transform: none;
    text-align: left;
    margin-top: 3%;
    margin-left: 2%;
    padding-top: 10px;
    padding-bottom: 10px;
}

.second-category-section h3 {
    font-size: 1.5em;
    line-height: 30px;
    color: #5f5050;
    font-family: "Quentin", sans-serif;
    font-weight: 300;
    text-transform: capitalize;
    text-align: left;
    margin-top: 3%;
    margin-left: 2%;
    padding-top: 10px;
    padding-bottom: 10px;
}

.second-category-section h3:hover {
    color:  #d7a298;
}

.second-category-section p {
    font-size: 1em;
    line-height: 35px;
    color: #5f5050;
    font-family: "Montserrat", sans-serif;
    margin-left: 2%;
    margin-right: 10%;
}


/*Solutions Section*/
/*Main Solutions*/

.main-solutions {
    background-size: cover;
    position: relative;
    background-repeat: no-repeat;
    background-position: center;
    font-family: "Montserrat", sans-serif;
    background-color: #dedad8;
    display: flex;
    flex-direction: column;
}

/*Sub Solutions*/

.sub-solutions {
    background-image: url(images/backgroundimage.jpg);
    background-size: cover;
    position: relative;
    background-repeat: no-repeat;
    background-position: center;
    background-color: #dedad8;
    text-align: left;
    text-wrap: normal;
    padding-top:1%;
    padding-bottom: 5%;
    box-shadow: 2px 2px 2px rgba(0,0,0,0.2);
}

.sub-solutions h3 {
    font-size: 2em;
    line-height: 30px;
    color: #5f5050;
    font-family: "Quentin", sans-serif;
    font-weight: 400;
    text-transform: capitalize;
    text-align: left;
    margin-top: 1%;
    margin-left: 2%;
    padding-top: 10px;
    padding-bottom: 10px;
}

.sub-solutions h3:hover {
    color: #d7a298;
}

.sub-solutions p {
    font-size: 1em;
    line-height: 35px;
    color: #5f5050;
    font-family: "Montserrat", sans-serif;
    margin-left: 2%;
    margin-right: 10%;
}

.button-wrapper {
    display: block;
    text-align: center;
}

.button-letscoffee-button {
    color: #5f5050;
    border: none;
    border-radius: 3em;
    box-shadow: 2px 2px 2px rgba(0,0,0,0.2);
    display: inline-block;
    font-size: 1em;
    padding: 1em 2em;
    width: auto;
    margin-top: 2%;
    margin-bottom: 1%;
}

.button-letscoffee-button {
    background-color: #dedad8;
    color: #5f5050 !important;
}
  
.button-letscoffee-button:hover {
    background-color: #d7a298;
}

/*Blog Section */

.main-blog-section {
    background-size: cover;
    position: relative;
    background-repeat: no-repeat;
    background-position: center;
    font-family: "Montserrat", sans-serif;
    background-color: #f2f0f0;
    display: flex;
    flex-direction: column;
}

/*Blog Section*/

.blog-section {
    background-color: #e1ddddba;
    text-align: left;
    padding-top: 1%;
    padding-bottom: 2%;
        
}

.blog-section h1 {
    font-size: 1.8em;
    line-height: 30px;
    color: #5f5050;
    font-family: "Quentin", sans-serif;
    font-weight: 400;
    text-transform: capitalize;
    text-align: left;
    margin-top: 1%;
    padding-top: 5px;
    padding-bottom: 10px;
    margin-left: 2%;
}

.blog-section h2 {
    font-size: 1.8em;
    line-height: 30px;
    color: #5f5050;
    font-family: "Quentin", sans-serif;
    font-weight: 400;
    text-transform: capitalize;
    text-align: left;
    margin-top: 1%;
    padding-top: 5px;
    padding-bottom: 10px;
    margin-left: 75%;
}

.blog-section p {
    font-size: 1em;
    line-height: 35px;
    color: #5f5050;
    font-family: "Montserrat", sans-serif;
    margin-left: 2%;
    margin-right: 10%;
}

/*Second Image Section Blog*/

.second-image-section-blog {
    background-size: cover;
    position: relative;
    background-repeat: no-repeat;
    background-position: center;
    font-family: "Montserrat", sans-serif;
    background-color: #f2f0f0;
    display: flex;
    flex-direction: column;
    box-shadow: 2px 2px 2px rgba(0,0,0,0.2);
}

/*Contact Us Section*/

.contact {
    min-height: 100vh;
    background-color: #f2f0f0;
    padding: 50px;
    text-align: center;
}

.contact {
    background-image: url(images/solutions1.jpg);
    background-size: cover;
    position: relative;
    background-repeat: no-repeat;
    background-position: center;
    box-shadow: 2px 2px 2px rgba(0,0,0,0.2);
}

.container {
    max-width: 800px;
    margin: 0 auto;
}

.container h2 {
    font-size: 4em;
    font-family: "Quentin", sans-serif;
    margin-bottom: 40px;
    margin-right: 55%;
    color: #d7a298;

}

.contact-wrapper {
    display: grid;
    grid-tempLate-columns: repeat(2, 1fr);
    grid-gap: 30px;
}

.contact-form {
    text-align: left;
}

.contact-form h3 {
    font-size: 1.8em;
    font-family: "Montserrat", sans-serif;
    margin-bottom: 15px;
    color: #5f5050
}

.form-group {
    margin-bottom: 20px;
}

input, textarea {
    width: 100%;
    padding: 12px;
    border-radius: 8px;
    border: none;
    background-color: #fefefe;
    color: #5f5050;
}

input:focus,
textarea:focus {
    outline: none;
    box-shadow: 0 0 8px #d7a298;
}

button {
    display: inline-block;
    padding: 12px 24px;
    background-color: #fefefe;
    color: #5f5050;
    border-radius: 3em;
    box-shadow: 2px 2px 2px rgba(0,0,0,0.2);
    border: none;
    cursor: pointer;
    transition: 0.3s ease;
}

button:hover {
    background-color: #d7a298;
}

.contact-info {
    text-align: left;
}

.contact-info h3 {
    font-size: 1.2em;
    font-family: "Montserrat", sans-serif;
    margin-top: 10px;
    margin-bottom: 20px;
    color: #5f5050;
}

.contact-info p {
    margin-bottom: 10px;
    color: #5f5050;
}

.contact-info i {
    color: #d7a298;
    margin-right: 10px;
}

/*Footer Section*/

footer {
    width: 100%; 
    background-color: #e3dfde;
    color: #5f5050;
    font-family: "Montserrat", sans-serif;
}

.footercontainer {
    width: 100%;
    padding: 70px 30px 20px;
}

.socialicons {
    display: flex;
    justify-content: center;
}

.socialicons a {
    text-decoration: none;
    padding: 10px;
    background-color: #f2f0f0;
    margin: 10px;
    border-radius: 50%;
}

.socialicons a i {
    font-size: 2em;
    color: #5f5050;
    opacity: 0.9;
}

.socialicons a:hover {
    background-color: #d7a298;
    transition: 0.5s;
}

.socialicons a:hover i {
    background-color: #d7a298;
    transition: 0.5s;
}

.footernav {
    margin: 30px 0;
}

.footernav ul {
    display: flex;
    justify-content: center;
    list-style-type: none;
}

.footernav ul li a {
    color: #5f5050;
    margin: 20px;
    text-decoration: none;
    font-size: 1.2em;
    opacity: 0.7;
    transition: 0.5s;
}

.footernav ul li a:hover {
    opacity: 1;
    color: #d7a298;
}

.footerbottom {
    background-color: #e3dfde
}

.footerbottom p {
    color: #5f5050;
    float: right;
}

.designer {
    opacity: 0.7;
    text-transform: capitalize;
    letter-spacing: 1px;
    font-weight: 200;
    margin: 0px 5px;
}


@media (max-width: 768px) {
    .nav a {
        font-size: 16px;
    }
    nav a:hover {
        background-color: #d7a298;
        transition: .5s;
    }
    .hideOnMobile {
        display: none;
    }
    .menu-button {
        display: block;
    }
    .container {
        padding: 20px;
    }
    .contact-wrapper {
        grid-template-columns: 1fr;
    }
    .footernav ul {
        flex-direction: column;
    }
    .footernav ul li {
        width: 100%;
        text-align: center;
        margin: 10px;
    }
    .button-letscoffee-button {
        display: block;
    }
    .button-letscreate-button {
        display: block;
    }
}

@media (max-width: 480px) {
    .ul {
        position: fixed;
        width: 100%;
        height: 100vh;
        background: #5f5050;
        top: 80px;
        left: -100%;
        text-align: center;
        transition: all .5s;
    }
    nav li {
        display: block;
        margin: 50px 0;
        line-height: 30px;
    }
    nav a {
        font-size: 20px;
    }
    nav a:hover {
        background-color: #d7a298;
        transition: .5s;
    }
    .sidebar {
        width: 100%;
    }
}

